org.jgroups.blocks

## Interface DistributedTree.DistributedTreeListener

All Known Implementing Classes:
  DistributedTreeDemo

Enclosing class:
  DistributedTree

    public static interface DistributedTree.DistributedTreeListener

### Method Summary

Methods
`void` `nodeAdded(java.lang.String fqn, java.io.Serializable element)`
`void` `nodeModified(java.lang.String fqn, java.io.Serializable old_element, java.io.Serializable new_element)`
`void` `nodeRemoved(java.lang.String fqn)`

### Method Detail

#### nodeAdded

    void nodeAdded(java.lang.String fqn,
                 java.io.Serializable element)

#### nodeRemoved

    void nodeRemoved(java.lang.String fqn)

#### nodeModified

    void nodeModified(java.lang.String fqn,
                    java.io.Serializable old_element,
                    java.io.Serializable new_element)